# TODO:
# - Fix tests (a few fail)
#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_with	tests	# unit tests

%define		module	psutil
Summary:	A cross-platform process and system utilities module for Python
Summary(pl.UTF-8):	Wieloplatformowe narzędzia do procesów i systemu dla Pythona
Name:		python3-%{module}
Version:	7.0.0
Release:	1
License:	BSD
Group:		Development/Languages/Python
#Source0Download: https://pypi.org/simple/psutil/
Source0:	https://github.com/giampaolo/psutil/archive/release-%{version}/%{module}-%{version}.tar.gz
# Source0-md5:	5ad9868e9f36604f8164ba7bf53550f2
URL:		https://github.com/giampaolo/psutil
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with tests}
BuildRequires:	python3-ipaddress
BuildRequires:	python3-mock
%endif
BuildRequires:	python3-devel >= 1:3.6
BuildRequires:	python3-modules >= 1:3.6
Requires:	python3-modules >= 1:3.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Module providing an interface for retrieving information on all
running processes and system utilization (CPU, disk, memory, network)
in a portable way by using Python, implementing many functionalities
offered by command line tools.

%description -l pl.UTF-8
Moduł dostarczający interfejs do informacji o działających procesach
oraz zużyciu systemu (procesor, dyski, pamięć, sieć) w przenośny
sposób używjąc Pythona. Implementuje wiele funkcjonalności oferowanych
przez narzędzia linii komend.

%package apidocs
Summary:	API documentation for Python psutil module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona psutil
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for Python psutil module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona psutil.

%prep
%setup -q -n %{module}-release-%{version}

%build
%py3_build

%if %{with tests}
cd build-3/lib.*
ln -sf ../../scripts .
ln -sf ../../setup.py .
PYTHONPATH=$(pwd) \
%{__python3} -m psutil.tests
%{__rm} scripts setup.py
cd ../..
%endif

%if %{with doc}
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%{__rm} -r $RPM_BUILD_ROOT%{py3_sitedir}/psutil/tests

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CREDITS HISTORY.rst LICENSE README.rst
%dir %{py3_sitedir}/psutil
%attr(755,root,root) %{py3_sitedir}/psutil/_psutil_linux.*.so
%attr(755,root,root) %{py3_sitedir}/psutil/_psutil_posix.*.so
%{py3_sitedir}/psutil/*.py
%{py3_sitedir}/psutil/__pycache__
%{py3_sitedir}/psutil-%{version}-py*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_static,*.html,*.js}
%endif
%changelog
* Tue Feb 25 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-psutil.git;a=log;h=master

* Tue Feb 25 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> c8f097e
- New, 7.0.0 (python3 only)

* Tue Feb 25 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 4947435
- Up to 6.1.1 (last version with python2 support)

* Sun Jan 21 2024 Jan Palus <atler@pld-linux.org> b0b1bc5
- noarch apidocs

* Sun Jan 21 2024 Jan Palus <atler@pld-linux.org> 92ffb8a
- update required python3 version

* Sun Jan 21 2024 Arkadiusz Miśkiewicz <arekm@maven.pl> ce2cb08
- Up to 5.9.8

* Mon Sep 12 2022 Jakub Bogusz <qboosh@pld-linux.org> 661c2e8
- updated to 5.9.2

* Sun Jul 31 2022 Jan Palus <atler@pld-linux.org> bb1f2ba
- up to 5.9.1

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> b2ce57f
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 1bbffd2
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> ea57ed5
- rebuild with python 3.10

* Tue Mar 22 2022 Jakub Bogusz <qboosh@pld-linux.org> 1cbe654
- updated to 5.9.0

* Thu Jul 08 2021 Jan Palus <atler@pld-linux.org> f7c3f21
- up to 5.8.0

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> b553f4f
- release 2 (by relup.sh)

* Mon Dec 30 2019 Jakub Bogusz <qboosh@pld-linux.org> 748d284
- updated to 5.6.7
- added linux patch (fix block dev stats reading on newer kernels)
- added apidocs

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 2da80a9
- rebuild with python 3.8
- release 2 (by relup.sh)

* Thu Oct 03 2019 Jakub Bogusz <qboosh@pld-linux.org> cbd3874
- updated to 5.6.3

* Thu May 30 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> eb891ac
- up to 5.6.2

* Tue Feb 19 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 94c3053
- up to 5.5.1

* Sun Feb 03 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 25298c9
- up to 5.5.0

* Mon Nov 12 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 55ea531
- up to 5.4.8

